Firefox no longer works

06/13/2019 07:35 PM - Luke Murphey

Status: Closed Start date: 06/13/2019

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category: Input: Browser Renderer Estimated time: 0.00 hour

Target version: 4.5.7   

Description

Related issues:

Copied to Website Input - Bug #2440: Firefox doesn't work on Linux web-server... New 06/13/2019

Associated revisions

Revision 692 - 06/13/2019 08:15 PM - lukemurphey

Updating geckodriver

Reference #2438

History

#1 - 06/13/2019 08:15 PM - Luke Murphey

Updating geckodriver to v0.24.0 (https://github.com/mozilla/geckodriver/releases/tag/v0.24.0)

#2 - 06/13/2019 08:24 PM - Luke Murphey

- Status changed from New to Closed

- % Done changed from 0 to 100

#3 - 06/14/2019 07:57 PM - Luke Murphey

- Status changed from Closed to In Progress

#4 - 06/14/2019 07:58 PM - Luke Murphey

This now works on my mac and passes on the build server.

However, the Linux host does not work.

Questions:

Is geckodriver anywhere else on the host?

None found

What version of Firefox is being used?

Mozilla Firefox 67.0

Is the geckodriver updated on the official install?

The newest of the app was indeed installed. The binaries look new too.

Are any logs present?

Yes: "WebDriverException: Message: invalid argument: can't kill an exited process"

Is this version of Geckodriver and Firefox compatible?

yes: https://firefox-source-docs.mozilla.org/testing/geckodriver/Support.html

But needs Selenium 3.11; I'm using 3.4.1 and thus should be ok

Is the issue because I am running Firefox as root?

https://stackoverflow.com/questions/52534658/webdriverexception-message-invalid-argument-cant-kill-an-exited-process-with

Does this work if I change the owner to root?

https://github.com/FortyNorthSecurity/EyeWitness/issues/360

No

Is the problem perms on the geckodriver log?

No
What could be the difference between the CI environment and the Splunk install?

User (root versus non-root)

Observations:

#5 - 06/14/2019 08:34 PM - Luke Murphey

2019-06-14 20:06:13,251 ERROR Exception generated when attempting to test the browser

Traceback (most recent call last):

  File "<string>", line 450, in test_browser

  File "/opt/splunk/etc/apps/website_input/bin/website_input_app/web_scraper.py", line 745, in scrape_page

    additional_fields=additional_fields, **kw)

  File "/opt/splunk/etc/apps/website_input/bin/website_input_app/web_scraper.py", line 437, in get_result_sing

le

    content = web_client.get_url(url.geturl())

  File "/opt/splunk/etc/apps/website_input/bin/website_input_app/web_driver_client.py", line 248, in get_url

    self.driver = self.get_driver()

  File "/opt/splunk/etc/apps/website_input/bin/website_input_app/web_driver_client.py", line 328, in get_drive

r

    driver = webdriver.Firefox(profile, log_path=make_splunkhome_path(['var', 'log', 'splunk', 'geckodriver.lo

g']))

  File "/opt/splunk/etc/apps/website_input/bin/selenium/webdriver/firefox/webdriver.py", line 152, in __init__

    keep_alive=True)

  File "/opt/splunk/etc/apps/website_input/bin/selenium/webdriver/remote/webdriver.py", line 98, in __init__

    self.start_session(desired_capabilities, browser_profile)

  File "/opt/splunk/etc/apps/website_input/bin/selenium/webdriver/remote/webdriver.py", line 188, in start_ses

sion

    response = self.execute(Command.NEW_SESSION, parameters)

  File "/opt/splunk/etc/apps/website_input/bin/selenium/webdriver/remote/webdriver.py", line 252, in execute

    self.error_handler.check_response(response)

  File "/opt/splunk/etc/apps/website_input/bin/selenium/webdriver/remote/errorhandler.py", line 194, in check_

response

    raise exception_class(message, screen, stacktrace)

WebDriverException: Message: invalid argument: can't kill an exited process

#6 - 06/14/2019 09:14 PM - Luke Murphey

- Copied to Bug #2440: Firefox doesn't work on Linux web-server but tests run successfully added

#7 - 06/14/2019 09:15 PM - Luke Murphey
- Status changed from In Progress to Closed
